<?php
/*
Plugin Name: DoFollow State
Plugin URI: http://mr.hokya.com/dofollow-state/
Description: This plugin will remove external nofollow attribute in comment link tag and make your blog have dofollow order.
Version: 2.45
Author: Julian Widya Perdana
Author URI: http://mr.hokya.com/
*/

function dofollow_meta_tag () {
	echo '<meta name="robots" content="index,follow" />';
}

function dofollow_state () {
	$url    = get_comment_author_url();
	$author = get_comment_author();

	if ( empty( $url ) || 'http://' == $url )
		$return = $author;
	else
		$return = "<a rel='follow' href='$url' class='url'>$author</a>";
	return $return;
}

function dofollow_notice () {
	echo "<p>Your site already have <strong><a href='http://mr.hokya.com/dofollow-state' target='_blank'>DoFollow</a></strong> structure.</p>";
}

add_action('wp_head','dofollow_meta_tag');
add_action('get_comment_author_link', 'dofollow_state');
add_action('rightnow_end','dofollow_notice');

?>